//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: Expose an IsAHunter function
//
//=============================================================================//

#ifndef HLW_NPC_HUNTER_H
#define HLW_NPC_HUNTER_H

#if defined( _WIN32 )
#pragma once
#endif

#include "episodic/npc_hunter.h"

class CHLW_NPC_Hunter : public CNPC_Hunter
{
	DECLARE_CLASS( CHLW_NPC_Hunter, CNPC_Hunter );

public:
	CHLW_NPC_Hunter() {}

	void			Spawn();

	int				SelectSchedule();
	int				SelectScheduleBehaviorNormalCombat();
	int				SelectScheduleBehaviorAggressiveCombat();

	void			InitUnitIndex();
};

#endif // HLW_NPC_HUNTER_H
